%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Summary: KTranslator - a very powerful uitlity for KDE translators
Source: http://www.cs.uni-potsdam.de/~smeier/kdevelop/%{name}-%{version}.tar.gz
Patch0: ktranslator-0.6.1-gcc.patch
Name: ktranslator
Version: 0.6.1
Release: 6
Buildroot: %{_tmppath}/%{name}-root
Copyright: GPL
URL: http://www.geocities.com/SiliconValley/Sector/4288/
Group: Development/Tools
Requires: kdesupport, kdelibs, qt1x
BuildPrereq: kdelibs-devel, qt1x-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
KTranslator is a KDE utility that edits po/pot files.
With this application you could easily search old translation in
your compiled catalogues (.mo files) so that your language translations
became more uniform.

%prep
%setup -q 
%patch0 -p1 -b gcc296

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[  -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix} \
  --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- fix to build with gcc-2.96

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.6.1
- Qt 1.45
- add URL field

* Thu Nov 25 1999 Ngo Than <than@redhat.de>
- initial RPM for powertool 6.2
